#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

typedef long long ll;

ll sqr(int x){
	return x * x;
}

class point{
public:
	int x, y;
	point ()
	:x(0), y(0) {}
	point (int x, int y)
	:x(x), y(y) {}
};

double dist(point a, point b){
		return sqrt(sqr(a.x - b.x) + sqr(a.y - b.y));
	}
point read(){
		int x, y;
		cin >> x >> y;
		return point(x, y);
	}

int main(){
	cout << fixed << setprecision(15);
	int n, m;
	cin >> n;
	double p1 = 0, p2 = 0;
	point last_point, current_point, first_point;
	first_point = read();
	last_point  = first_point;
	for (int i = 1; i < n; i++){
		current_point = read();
		p1 += dist(current_point, last_point);
		last_point = current_point;
	}
	p1 += dist(last_point, first_point);
	cin >> m;
	first_point = read();
	last_point  = first_point;
	for (int i = 1; i < m; i++){
		current_point = read();
		p2 += dist(current_point, last_point);
		last_point = current_point;
	}
	p2 += dist(last_point, first_point);
	if (fabs(p1 - p2) < 1e-8) {
		cout << "Yes\n";
	} else {
		cout << "No\n";
	}
	return 0;
}

