#include <bits/stdc++.h>

using namespace std;

struct point
{
    long long x, y;
    point(long long x_ = 0, long long y_ = 0): x(x_), y(y_) {};
    point operator -(point a)
    {
        return point(x - a.x, y - a.y);
    }
    bool operator <(const point a)const
    {
        if (x != a.x)
            return x < a.x;
        return y < a.y;
    }
    long long operator *(point a)
    {
        return x * a.x + y * a.y;
    }
    long long operator /(point a)
    {
        return x * a.y - y * a.x;
    }
    long long len()
    {
        return x * x + y * y;
    }
};

point st;

bool cmp(pair<point, int> aa, pair<point, int> bb)
{
    auto a = aa.first;
    auto b = bb.first;
    a = a - st;
    b = b - st;
    if (a / b != 0)
        return a / b > 0;
    if (a.len() != b.len())
        return a.len() < b.len();
    return aa.second < bb.second;
}

point mas[(int)1e5 + 10];
pair<point, int> par[(int)1e5 + 10];
int used[(int)1e5 + 10];

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++)
    {
        cin >> mas[i].x >> mas[i].y;
        par[i] = {mas[i], i + 1};
        if (i)
            st = min(st, mas[i]);
        else
            st = mas[0];
    }
    sort(par, par + n, cmp);
    vector<point> ans;
    vector<int> ind;
    for (int i = 0; i < n; i++)
    {
        mas[i] = par[i].first;
        while ((int)ans.size() > 1 && (ans[ans.size() - 1] - ans[ans.size() - 2]) / (mas[i] - ans[ans.size() - 1]) <= 0)
        {
            ans.pop_back();
            ind.pop_back();
        }
        ans.push_back(mas[i]);
        ind.push_back(par[i].second);
    }
    if ((int)ans.size() == n)
    {
        cout << 2 << endl << ind[0] << " " << ind[2] << endl;
        return 0;
    }
    for (int i = 0; i < (int)ind.size(); i++)
    {
        used[ind[i]] = 1;
    }
    for (int i = 1; i <= n; i++)
    {
        if (used[i] == 0)
        {
            cout << 1 << endl << i << endl;
            return 0;
        }
    }
    return 0;
}
